#include <avr/io.h>

void init_UART (void)
{
	UBRRL = 103; //9600 bps @ 16 MHz crystal
	UCSRB = _BV(RXEN); //EX enable
	UCSRC = _BV(URSEL)|_BV(UCSZ1)|_BV(UCSZ0); //n,8,1
}

int main() {
	init_UART();
	DDRA = _BV(DDA0);
	for(;;) {
		while(!(UCSRA & _BV(RXC)));
		uint8_t data = UDR;
		if (data=='a') {
			PORTA |= _BV(PINA0);
		}
		if (data=='b') {
			PORTA &= ~_BV(PINA0);
		}
	}
}
