#include <avr/io.h>

void lcdWrite(uint8_t command, uint8_t rs);
void lcdWriteCommand(uint8_t command);
void lcdWriteData(uint8_t data);
uint8_t lcdRead(uint8_t rs);
uint8_t lcdReadAddress();
uint8_t lcdReadData();
void lcdInit();
void lcdWriteCommand(uint8_t command);
void lcdWriteData(uint8_t data);
void lcdString(char * buf);

#define LCD_COMMAND_CLEAR 0x01
#define LCD_COMMAND_ENTRY_MODE 0x04
#define LCD_COMMAND_ON 0x08
#define LCD_COMMAND_MOVE 0x10
#define LCD_COMMAND_FUNCTION_SET 0x20
#define LCD_OPTION_8BITS 0x10
#define LCD_OPTION_2LINES 0x08
#define LCD_OPTION_DISPLAY 0x04
#define LCD_OPTION_INCREMENT 0x02

#define LCD_EN 2
#define LCD_RW 1
#define LCD_RS 0

#define LCD_DATA_PORT PORTA
#define LCD_DATA_INPUT PINA
#define LCD_DATA_DDR DDRA
#define LCD_CONTROL_PORT PORTB
#define LCD_CONTROL_DDR DDRB

#define BITS4